Name:           getvirtualbox
Version:        7.0.16
Release:        %mkrel 1
License:        GNU General Public License (GPL)
URL:            http://www.virtualbox.org/
Source:         %{name}-%{version}.tar.xz
Summary:        Script to manage VirtualBox installation
Summary(de):    Skript zum Management der Installation von VirtualBox
Group:          Emulators
Requires:	libnotify
Requires:	zenity
Requires:	bash
Requires:	wget
Requires:   apt
Requires:   apt-common
Requires:	gksu
Requires:	python >= 2.7
Requires:	lib64SDL1.2_0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:	%{name}
Conflicts:	dkms-vboxadditions
Conflicts:	dkms-virtualbox 
Conflicts:	virtualbox 
Conflicts:	VirtualBox-3.1


%description
This script provides management of Virtual Box with USB support for PCLinuxOS.

%description -l de
Dieses Script managt Virtual Box mit USB-Unterstützung für PCLinuxOS.

%prep

%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %{name}.png %{buildroot}/%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=VirtualBox Manager
GenericName=VirtualBox Manager
Type=Application
Exec=getvirtualbox
TryExec=getvirtualbox
Icon=getvirtualbox.png
Comment=Manage VirtualBox installation
Categories=PackageManager;GTK;X-MandrivaLinux-System-Configuration-Packaging;
Terminal=false
StartupNotify=true
EOF


# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,fr}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de.po
msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-fr.po

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%pre
rm -rf /var/lib/dkms/vboxdrv >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxnetadp >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxnetflt >/dev/null 2>&1
rm -rf /var/lib/dkms/vboxhost >/dev/null 2>&1

%clean
rm -rf %{buildroot}

%posttrans
SYSUSER=$(who |cut -d' ' -f1)
su $SYSUSER -c 'notify-send "VirtualBox Manager" "To manage your VirtualBox installation please run: PCmenu -> Software Center -> VirtualBox Manager" -i /usr/share/pixmaps/getvirtualbox.png -t 10000'


%changelog
* Wed Apr 17 2024 pp 7.0.16-1pclos2024
- new version

* Thu Jan 18 2024 pp 7.0.14-1pclos2024
- new version

* Wed Oct 18 2023 pp 7.0.12-1pclos2023
- new version

* Fri Jul 21 2023 pp 7.0.10-1pclos2023
- new version

* Sat Apr 22 2023 pp 7.0.8-1pclos2023
- new version

* Wed Jan 18 2023 pp 7.0.6-1pclos2023
- new version

* Fri Nov 18 2022 pp 7.0.4-1pclos2022
- new version

* Fri Oct 21 2022 pp 7.0.2-1pclos2022
- new version

* Tue Oct 11 2022 pp 7.0.0-1pclos2022
- new version

* Fri Sep 02 2022 pp 6.1.38-1pclos2022
- new version

* Wed Jul 22 2022 pp 6.1.36-1pclos2022
- new version

* Thu Apr 21 2022 pp 6.1.34-1pclos2022
- new version

* Wed Jan 19 2022 pp 6.1.32-1pclos2022
- new version

* Wed Nov 24 2021 pp 6.1.30-1pclos2021
- update

* Wed Oct 20 2021 pp 6.1.28-1pclos2021
- update

* Fri Jul 30 2021 pp 6.1.26-1pclos2021
- update

* Mon Jul 26 2021 tex - 6.1.24-2pclos2021
- dont conflict with virtualbox-guest-additions anymore

* Wed Jul 21 2021 pp 6.1.24-1pclos2021
- update

* Fri Apr 30 2021 pp 6.1.22-1pclos2021
- update

* Thu Apr 22 2021 pp 6.1.20-1pclos2021
- update

* Wed Jan 20 2021 pp 6.1.18-1pclos2021
- update

* Thu Oct 22 2020 pp 6.1.16-1pclos2020
- update

* Sat Sep 05 2020 pp 6.1.14-1pclos2020
- update

* Wed Jul 15 2020 pp 6.1.12-1pclos2020
- update

* Sat Jun 06 2020 pp 6.1.10-1pclos2020
- update

* Sat May 16 2020 pp 6.1.8-1pclos2020
- update

* Wed Apr 14 2020 pp 6.1.6-1pclos2020
- 6.1.6

* Fri Feb 21 2020 tex - 6.1.4-1pclos2020
- new version

* Wed Jan 15 2020 pp 6.1.2-1pclos2020
- 6.1.2

* Wed Dec 11 2019 tex - 6.1.0-1pclos2019
- 6.1.0 final

* Sun Dec 01 2019 tex - 6.1.0-0.rc1pclos2019
- RC1

* Wed Oct 10 2019 pp <pp> 6.0.14-1pclos2019
- update

* Thu Sep 26 2019 tex - 6.0.12-2pclos2019
- put one menu entry in Software Center

* Wed Sep 04 2019 pp <pp> 6.0.12-1pclos2019
- update

* Tue Jul 16 2019 pp <pp> 6.0.10-1pclos2019
- update

* Wed May 15 2019 pp <pp> 6.0.8-1pclos2019
- update

* Wed Apr 17 2019 pp <pp> 6.0.6-1pclos2019
- update
- delete old version only after successful download of new version

* Mon Mar 11 2019 pp <pp> 6.0.4-2pclos2019
- fixed vbox version detection

* Wed Jan 30 2019 pp <pp> 6.0.4-1pclos2019
- update

* Tue Jan 15 2019 pp <pp> 6.0.2-1pclos2019
- update

* Wed Dec 19 2018 pp <pp> 6.0.0-1pclos2018
- update

* Sat Nov 10 2018 pp <pp> 5.2.22-1pclos2018
- update

* Thu Oct 18 2018 pp <pp> 5.2.20-1pclos2018
- update

* Thu Aug 16 2018 pp <pp> 5.2.18-1pclos2018
- update

* Wed Jul 18 2018 pp <pp> 5.2.16-1pclos2018
- update

* Tue Jul 03 2018 pp <pp> 5.2.14-1pclos2018
- update

* Sat May 12 2018 pp <pp> 5.2.12-3pclos2018
- added SKIP_STACK_VALIDATION to vboxconfig

* Sat May 12 2018 pp <pp> 5.2.12-2pclos2018
- added SKIP_STACK_VALIDATION to script

* Sat May 12 2018 pp <pp> 5.2.12-1pclos2018
- update

* Wed Apr 18 2018 pp <pp> 5.2.10-1pclos2018
- update

* Wed Feb 28 2018 pp <pp> 5.2.8-2pclos2018
- added option to choose download server

* Wed Feb 28 2018 pp <pp> 5.2.8-1pclos2018
- update

* Tue Jan 23 2018 pp <pp> 5.2.6-3pclos2018
- updated German translation
- added noclobber to wget

* Sat Jan 20 2018 pp <pp> 5.2.6-2pclos2018
- download sources from our repo on nluug
- fix progress bar
- add no compression to wget command

* Fri Jan 19 2018 pp <pp> 5.2.6-1pclos2018
- update

* Thu Dec 21 2017 pp <pp> 5.2.4-1pclos2017
- update

* Fri Nov 24 2017 pp <pp> 5.2.2-1pclos2017
- update

* Thu Oct 19 2017 pp <pp> 5.2.0-1pclos2017
- update

* Mon Oct 16 2017 pp <pp> 5.1.30-1pclos2017
- update

* Fri Sep 15 2017 pp <pp> 5.1.28-1pclos2017
- update

* Fri Jul 28 2017 pp <pp> 5.1.26-1pclos2017
- update

* Tue Jul 18 2017 pp <pp> 5.1.24-1pclos2017
- update

* Tue May 09 2017 woodhead <pp> 5.1.22-2pclos2017
- set LD_LIBRARY_PATH to no longer require QT5lib copy

* Mon May 01 2017 woodhead <pp> 5.1.22-1pclos2017
- update

* Wed Apr 19 2017 woodhead <pp> 5.1.20-1pclos2017
- update
- added new extpack license check option 

* Thu Mar 16 2017 bb2 <bb2> 5.1.18-1pclos2017
- new version

* Sat Mar 11 2017 woodhead <pp> 5.1.16-1pclos2017
- update

* Tue Feb 28 2017 bb2 <bb2> 5.1.14-4pclos2017
- drop obsolete req x11-driver-video-vboxvideo
- ldetect now uses xorg vesa

* Sat Feb 25 2017 pp <pp> 5.1.14-3pclos2017
- fix detection of vbox processes

* Sat Jan 21 2017 bb <bb> 5.1.14-2pclos2017
- make virtualbox work on KDE Plamsa 5 from 
- the menu by replacing the qt5 libs in
- /opt/VirtualBox

* Wed Jan 18 2017 woodhead <pp> 5.1.14-1pclos2017
- update

* Wed Dec 21 2016 woodhead <pp> 5.1.12-1pclos2017
- update

* Thu Nov 24 2016 woodhead <pp> 5.1.10-1pclos2016
- update

* Wed Oct 19 2016 woodhead <pp> 5.1.8-1pclos2016
- update

* Wed Sep 14 2016 woodhead <pp> 5.1.6-1pclos2016
- update

* Fri Aug 19 2016 woodhead <pp> 5.1.4-2pclos2016
- added test for current version

* Thu Aug 18 2016 woodhead <pp> 5.1.4-1pclos2016
- update

* Fri Jul 22 2016 woodhead <pp> 5.1.2-1pclos2016
- update

* Tue Jul 12 2016 bb <bb> 5.1.0-1pclos2016
- update

* Thu Jun 30 2016 bb <bb> 5.0.24-1pclos2016
- update

* Fri Jun 17 2016 woodhead <pp> 5.0.22-1pclos2016
- update

* Sat May 14 2016 woodhead <pp> 5.0.20-2pclos2016
- added test for active vbox process

* Sat Apr 30 2016 woodhead <pp> 5.0.20-1pclos2016
- update

* Tue Apr 19 2016 woodhead <pp> 5.0.18-1pclos2016
- update

* Sat Mar 05 2016 woodhead <pp> 5.0.16-1pclos2016
- update

* Wed Jan 20 2016 pp <pp> 5.0.14-1pclos2016
- update

* Sat Dec 19 2015 pp <pp> 5.0.12-1pclos2015
- update

* Fri Nov 13 2015 pp <pp> 5.0.10-1pclos2015
- update

* Tue Oct 20 2015 pp <pp> 5.0.8-1pclos2015
- update

* Mon Oct 05 2015 pp <pp> 5.0.6-1pclos2015
- update

* Fri Sep 11 2015 pp <pp> 5.0.4-1pclos2015
- update

* Sat Aug 15 2015 pp <pp> 5.0.2-1pclos2015
- update

* Fri Jul 10 2015 pinoc <vogtpet at gmail.com> 5.0.0-1pclos2015
- update

* Sat May 16 2015 pinoc <vogtpet at gmail.com> 4.3.28-1pclos2015
- 4.3.28

* Wed Mar 18 2015 pinoc <vogtpet at gmail.com> 4.3.26-1pclos2015
- 4.3.26

* Tue Mar 03 2015 pinoc <vogtpet at gmail.com> 4.3.24-1pclos2015
- 4.3.24

* Tue Mar 03 2015 pinoc <vogtpet at gmail.com> 4.3.22-3pclos2015
- changed startup script to prefer kdesu to work for kde systemsettings

* Sun Mar 01 2015 pinoc <vogtpet at gmail.com> 4.3.22-2pclos2015
- renamed desktop name
- added option to remove VB

* Fri Feb 13 2015 pinoc <vogtpet at gmail.com> 4.3.22-1pclos2015
- 4.3.22
- added posttrans

* Sun Nov 23 2014 pinoc <vogtpet at gmail.com> 4.3.20-1pclos2014
- 4.3.20

* Mon Oct 13 2014 pinoc <vogtpet at gmail.com> 4.3.18-1pclos2014
- 4.3.18
- export locale to en_US to avoid crash on non en_US systems
- added menu-link to Software Center

